RoutingException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.routing.RoutingException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Class RoutingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.routing.RoutingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AggregationException, CouldNotRouteInboundEventException, CouldNotRouteOutboundMessageException, DispatchException, ResponseTimeoutException, RoutePathNotFoundException, ServiceRoutingException

    public class RoutingException

extends MessagingException

`RoutingException` is a base class for all routing exceptions. Routing exceptions are only thrown for DefaultInboundRouterCollection and DefaultOutboundRouterCollection and deriving types. Mule itself does not throw routing exceptions when routing internal events.

See Also:
  Serialized Form

Field Summary
`protected ImmutableEndpoint` | `endpoint`

Fields inherited from class org.mule.api.MessagingException
`muleMessage`

Constructor Summary
`RoutingException(Message message, MuleMessage muleMessage, ImmutableEndpoint endpoint)`
`RoutingException(Message message, MuleMessage muleMessage, ImmutableEndpoint endpoint, Throwable cause)`
`RoutingException(MuleMessage message, ImmutableEndpoint endpoint)`
`RoutingException(MuleMessage message, ImmutableEndpoint endpoint, Throwable cause)`

Method Summary
`ImmutableEndpoint` | `getEndpoint()`

Methods inherited from class org.mule.api.MessagingException
`getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### endpoint

    protected final transient ImmutableEndpoint endpoint

Constructor Detail

### RoutingException

    public RoutingException(MuleMessage message,
                            ImmutableEndpoint endpoint)

### RoutingException

    public RoutingException(MuleMessage message,
                            ImmutableEndpoint endpoint,
                            Throwable cause)

### RoutingException

    public RoutingException(Message message,
                            MuleMessage muleMessage,
                            ImmutableEndpoint endpoint)

### RoutingException

    public RoutingException(Message message,
                            MuleMessage muleMessage,
                            ImmutableEndpoint endpoint,
                            Throwable cause)

Method Detail

### getEndpoint

    public ImmutableEndpoint getEndpoint()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.